// Pitch Black - M-344/G
// -*- coding: utf-8 -*-
// ~ 21 Years

Barycenter	"Raven A/M-344-G A"
{
	ParentBody     "M-344-G"

	Orbit
	{
		Epoch           2455563
		Period          7
		Eccentricity    0.1
		Inclination     -0.9
		AscendingNode   0
		ArgOfPericenter 180
		MeanAnomaly     0
		RefPlane       "Ecliptic"
	}
}

Star	"Bluebell/Raven B/M-344-G B"
{
	ParentBody     "M-344-G"
	Class	       "A3 V"
	MassSol         3
	AbsMagn         4.3
	Age             2.662565

	Orbit
	{
		Epoch           2455563
		Period          7
		Eccentricity    0.03
		Inclination     0
		AscendingNode   0
		ArgOfPericenter 0
		MeanAnomaly     0
		RefPlane       "Ecliptic"
	}
}

Star	"Amber/Raven Aa/M-344-G Aa"
{
	ParentBody     "M-344-G A"
	Class	       "G3 V"
	MassSol         0.9999999
	AbsMagn         5.51
	Age             2.662565

	Orbit
	{
		Epoch           2455563
		Period          0.007
		Eccentricity    0.176
		Inclination     0.2
		AscendingNode   0
		ArgOfPericenter 0
		MeanAnomaly     0
		RefPlane       "Ecliptic"
	}
}

Star	"Ginger/Raven Ab/M-344-G Ab"
{
	ParentBody     "M-344-G A"
	Class	       "M9 V"
	MassSol         2
	AbsMagn         12.09
	Age             2.662565

	Orbit
	{
		Epoch           2455563
		Period          0.007
		Eccentricity    0.07
		Inclination     0.2
		AscendingNode   0
		ArgOfPericenter 180
		MeanAnomaly     0
		RefPlane       "Ecliptic"
	}
}

Planet	"Mask"
{
	ParentBody     "M-344-G"
	Class	       "GasGiant"
	Mass            40.00956
	Radius          162984
	RotationPeriod  32.67632
	Oblateness	0.0
	Albedo          0.5
	Color          (0.677 0.591 0.619)

	Orbit
	{
		Epoch           2455563
		Period          0.67741935483870967742	//0.65625
		Eccentricity    0
		Inclination     45
		AscendingNode   0
		ArgOfPericenter 0
		MeanAnomaly     0
		RefPlane       "Ecliptic"
	}
}

Planet	"Tar/M6-117"
{
	ParentBody     "M-344-G"
	Class	       "Desert"
	Mass            0.8391431
	Radius          6378.14
	RotationPeriod  17.29032
	Albedo          0.3

	Life
	{
		Class   "Organic"
		Type    "Multicellular"
		biome   "Terrestrial"
	}

	Atmosphere
	{
		Model          "Earth"
		Height          94.66522
		Density         4.641589
		Pressure        1.29155
		Greenhouse      61.73
		Bright          7.619048
		Opacity         0.4444444
		SkyLight        2.301587
	}
	
	NoRings true

	Orbit
	{
		Epoch           2455563
		Period          0.7
		Eccentricity    0
		Inclination     0.0001
		AscendingNode   0
		ArgOfPericenter 0
		MeanAnomaly     0
		RefPlane       "Ecliptic"
	}
}

Moon	"Drop"
{
	ParentBody     "Tar"
	Class	       "Selena"

	Mass            0.01696488
	Radius          1737.53
	Albedo          0.12

	NoRings true
	
	Orbit
	{
		Epoch           2455563
		Period          0.08108426
		Eccentricity    0.0549
		Inclination     5.15
		AscendingNode   90
		ArgOfPericenter 20.534
		MeanAnomaly     -20.534
		RefPlane       "Equator"
	}
}

Planet	"Fence"
{
	ParentBody     "M-344-G"
	Class	       "GasGiant"
	Mass            54.92158
	Radius          181136
	
	Oblateness		0.0
	Obliquity       51.42856
	EqAscendNode    11.42856
	Precession      25592

	
	Albedo          0.5
	
	Surface
	{
		TidalLocked     false
	}
	
	Rings
	{
		InnerRadius     182136
		OuterRadius     488040
		RotationPeriod  27.1962
		RotationOffset  242.4295
		FrontBright     1.25
		BackBright      1.25
		Density         2.5
		Exposure        1
	}

	Orbit
	{
		Epoch           2455563
		Period          0.72413793103448275862
		Eccentricity    0
		Inclination     15
		AscendingNode   0
		ArgOfPericenter 0
		MeanAnomaly     0
		RefPlane       "Ecliptic"
	}
}

DwarfMoon	"FenceCore1"
{
	ParentBody     "Fence"
	Class	       "Asteroid"
	Radius          1
	
	RotationPeriod	6347.664
	Obliquity       0
	EqAscendNode    0
	Precession	0.72413868756132
	
	Color          (0.896 0.789 0.384)
	
	Rings
	{
		InnerRadius     182136
		OuterRadius     408140
		RotationPeriod  27.1962
		RotationOffset  242.4295
		FrontBright     1
		BackBright      1
		Density         1
		Exposure        1
	}

	Orbit
	{
		Epoch           2455563
		SemiMajorAxis   0.0002
		Period          25592
		Eccentricity    0
		Inclination     90
		AscendingNode   0
		ArgOfPericenter 0
		MeanAnomaly     -90
		RefPlane       "Equator"
	}
}

DwarfMoon	"FenceCore2"
{
	ParentBody     "Fence"
	Class	       "Asteroid"
	Radius          1
	
	RotationPeriod	6347.664
	Obliquity       0
	EqAscendNode    0
	Precession	0.72413868756132
	
	Color          (0.987 0.481 0.278)
	
	Rings
	{
		InnerRadius     182136
		OuterRadius     408140
		RotationPeriod  27.1962
		RotationOffset  242.4295
		FrontBright     1
		BackBright      1
		Density         1
		Exposure        2.6
	}

	Orbit
	{
		Epoch           2455563
		SemiMajorAxis   0.0002
		Period          25592
		Eccentricity    0
		Inclination     90
		AscendingNode   0
		ArgOfPericenter 180
		MeanAnomaly     -90
		RefPlane       "Equator"
	}
}

